# Retrieve all invoices for the authenticated client

Retrieve all invoices for the authenticated client.

Endpoint: GET /user/invoices
Version: 2.1.0

## Query parameters:

  - `page` (integer)
    Page number
    Example: 1

  - `page_size` (integer)
    Number of items per page. The maximum allowed value is 500. The default value is 50.
    Example: 10

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (integer, required)
    Example: 456

  - `data.invoice_number` (string,null)
    Example: "0001"

  - `data.date_created` (string,null)
    Example: "2026-07-01"

  - `data.date_due` (string,null)
    Example: "2026-07-15"

  - `data.status` (string, required)
    The payment lifecycle status.
- Paid is the only accepted, terminal state. The order provisions on that transition.
- Payment Pending indicates that payment is in progress but has not yet cleared. Keep polling until the status is Paid.

Only Unpaid and Collections status invoices can be paid. The POST /user/invoices/{invoice_id}/payment-link and POST /user/invoices/{invoice_id}/payment-session endpoints refuse any other status with a 422 error.
    Enum: "Draft", "Unpaid", "Payment Pending", "Paid", "Collections", "Cancelled", "Refunded"

  - `data.subtotal` (number)
    Example: 10

  - `data.total` (number)
    Example: 10

  - `data.balance` (number)
    Example: 10

  - `data.payment_method` (string,null)
    Example: "stripe_dynamic"

## Response 401 fields (application/json):

  - `message` (string)


